summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVladimir Pavljuchenko (SpiderX) <spiderx@spiderx.dp.ua>2016-10-27 12:45:58 +0300
committerPatrice Clement <monsieurp@gentoo.org>2016-10-27 23:34:07 +0200
commit4400c1f56ec027d6a472c25ae6ccd6805291ed35 (patch)
treeea9288b7536c2da1e3bf4b71a069701ad13fc94e /net-p2p/automatic/automatic-0.8.3.ebuild
parentsys-cluster/ceph: Revision bump to 10.2.3-r1 for CVE-2016-8626 (diff)
downloadgentoo-4400c1f56ec027d6a472c25ae6ccd6805291ed35.tar.gz
gentoo-4400c1f56ec027d6a472c25ae6ccd6805291ed35.tar.bz2
gentoo-4400c1f56ec027d6a472c25ae6ccd6805291ed35.zip
net-p2p/automatic: new ebuild.
Automatic is a RSS daemon that downloads torrent files matching regular expression patterns at certain intervals. It is capable of adding downloaded torrents directly to Transmission (www.transmissionbt.com), making it an auto-downloader. Base for ebuild from https://github.com/SpiderX/portage-overlay/tree/master/net-p2p/automatic Gentoo-Bug: https://bugs.gentoo.org/477112 Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/2635 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'net-p2p/automatic/automatic-0.8.3.ebuild')
-rw-r--r--net-p2p/automatic/automatic-0.8.3.ebuild65
1 files changed, 65 insertions, 0 deletions
diff --git a/net-p2p/automatic/automatic-0.8.3.ebuild b/net-p2p/automatic/automatic-0.8.3.ebuild
new file mode 100644
index 00000000000..7ebedfa8103
--- /dev/null
+++ b/net-p2p/automatic/automatic-0.8.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools user
+
+DESCRIPTION="RSS downloader for Tranmission"
+HOMEPAGE="https://github.com/1100101/Automatic"
+SRC_URI="https://github.com/1100101/Automatic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+S="${WORKDIR}/${P^}"
+
+RDEPEND="dev-libs/libxml2:2
+ dev-libs/libpcre:3
+ net-misc/curl"
+DEPEND="${RDEPEND}
+ app-admin/logrotate"
+
+src_prepare() {
+ default
+
+ # https://bugs.gentoo.org/426262
+ mv configure.{in,ac} || die "rename failed"
+
+ # Remove CFLAGS and CXXFLAGS defined by upstream
+ sed -i \
+ -e 's/CFLAGS="-Wdeclaration-after-statement -O3 -funroll-loops"/CFLAGS+=""/' \
+ -e 's/CXXFLAGS="-O3 -funroll-loops"/CXXFLAGS+=""/' \
+ configure.ac || die "sed for CXXFLAGS and CFLAGS failed"
+
+ eautoreconf
+}
+
+src_install() {
+ # Install and copy documentation
+ default
+
+ # Install Gentoo init script and its config
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+
+ # Create automatic related directories
+ keepdir /var/lib/${PN}/
+ keepdir /var/log/${PN}/
+
+ # Install logrotate for automatic
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}.logrotate ${PN}
+}
+
+pkg_postinst() {
+ # Add automatic group and user to system
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+
+ elog ""
+ elog "To run automatic you should move /etc/automatic.conf-sample to /etc/automatic.conf and config it."
+ elog "If things go wrong, increase verbose level in /etc/conf.d/automatic and check log file in /var/log/automatic/"
+ elog ""
+}